package update-manager 1:0.87.9 failed to install/upgrade: ErrorMessage: SystemError in cache.commit(): E:Sub-process /usr/bin/dpkg returned an error code (1), E:Sub-process /usr/bin/dpkg returned an error code (1)

Bug #196187 reported by davebv on 2008-02-27
4
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

When upgrading from gutsy to hardy alpha5

ProblemType: Package
Architecture: i386
Date: Wed Feb 27 18:22:23 2008
DistroRelease: Ubuntu 8.04
ErrorMessage: ErrorMessage: SystemError in cache.commit(): E:Sub-process /usr/bin/dpkg returned an error code (1), E:Sub-process /usr/bin/dpkg returned an error code (1)

Package: update-manager 1:0.87.9
PackageArchitecture: all
SourcePackage: update-manager
Title: package update-manager 1:0.87.9 failed to install/upgrade: ErrorMessage: SystemError in cache.commit(): E:Sub-process /usr/bin/dpkg returned an error code (1), E:Sub-process /usr/bin/dpkg returned an error code (1)
Uname: Linux 2.6.22-14-rt i686

davebv (dave-bv) wrote :
Iulian Udrea (iulian) wrote :

Thank you for your report. Could you please add the log files from /var/log/dist-upgrade/ to this bug report as separate attachments?

Changed in update-manager:
status: New → Incomplete
davebv (dave-bv) wrote :
davebv (dave-bv) wrote :
davebv (dave-bv) wrote :
Changed in update-manager:
status: Incomplete → New
Nick Ellery (nick.ellery) wrote :

Thanks for your report. As the necessary files have been attached, I am confirming this report.

Changed in update-manager:
status: New → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

The cause of the failure is
=====
Preparing to replace apport 0.98 (using .../archives/apport_0.103_all.deb) ...
7 (using .../gdb_6.7.1-2ubuntu1_i386.deb) ...
 * Stopping automatic crash report generation: apport [ OK ]
  File "/usr/bin/pycentral", line 1624, in main
    rv = action.run(global_options)
  File "/usr/bin/pycentral", line 1115, in run
    old_pkg.read_version_info()
  File "/usr/bin/pycentral", line 620, in read_version_info
    raise PyCentralError, "package has no field Python-Version"
__main__.PyCentralError: package has no field Python-Version
dpkg: error processing /var/cache/apt/archives/apport_0.103_all.deb (--unpack):
 subprocess pre-installation script returned error exit status 1
=====

affecting to apport.

Changed in update-manager:
status: Confirmed → New
Martin Pitt (pitti) wrote :

Seems that was a temporary misbuild of apport. Hard to tell now, though, the hardy final, as well as the current jaunty package do have the Python-Version: field, and I didn't see other reports about this. Thus I consider this fixed now.

Thanks for your report!

Changed in apport:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers